<template>
  <div id="app">
    <v-container>
      <span v-show="warning" id="warning"
        >Verifica la confirmacion de tu contraseña</span
      >
      <span v-show="warning2" id="warning2">¡Debes aceptar continuar!</span>
      <v-text-field
        v-model="name"
        :counter="10"
        :rules="nameRules"
        label="NOMBRE"
        required
      ></v-text-field>
      <v-text-field
        v-model="email"
        :rules="emailRules"
        label="CORREO ELECTRONICO"
        required
      ></v-text-field>
      <v-text-field
        v-model="password"
        :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
        :rules="[rules.required, rules.min]"
        :type="show1 ? 'text' : 'password'"
        name="input-10-1"
        label="INTRODUCE UNA CONTRASEÑA"
        hint="Al menos 8 carácteres"
        counter
        @click:append="show1 = !show1"
      ></v-text-field>
      <v-text-field
        v-model="confirmPassword"
        :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
        :rules="[rules.required, rules.min]"
        :type="show1 ? 'text' : 'password'"
        name="input-10-1"
        label="INTRODUCE UNA CONTRASEÑA OTRA"
        hint="Al menos 8 carácteres"
        counter
        @click:append="show1 = !show1"
      ></v-text-field>
      <div id="privacy-police">
        <v-checkbox
          v-model="checkbox"
          :rules="[v => !!v || '¡Debes aceptar continuar!']"
          required
        ></v-checkbox>
        <span>
          ¿Estás de acuerdo con nuestra
          <router-link to="/privacy-policy" target="_blank"
            >Política de Privacidad?</router-link
          >
        </span>
      </div>
      <v-btn
        :disabled="!valid"
        color="primary"
        class="mr-4"
        @click="saveNewUser"
        >Validar</v-btn
      >

     
    </v-container>
  </div>
</template>

<script>
export default {
  name: 'AddUser',
  components: {},
  props: {},
  data: () => ({
    warning: false,
    warning2: false,
    show1: false,
    confirmPassword: '',
    password: '',
    rules: {
      required: value => !!value || 'Necesario.',
      min: v => v.length >= 8 || 'Min 8 caracteres',
      emailMatch: () => "The email and password you entered don't match"
    },
    valid: true,
    name: '',
    nameRules: [
      v => !!v || 'Se requiere el nombre',
      v =>
        (v && v.length <= 10) || 'El nombre debe tener menos de 10 caracteres.'
    ],
    email: '',
    emailRules: [
      v => !!v || 'Correo electronico es requerido',
      v => /.+@.+\..+/.test(v) || 'El email debe ser válido'
    ],
    select: null,
    items: ['Item 1', 'Item 2', 'Item 3', 'Item 4'],
    checkbox: false,
    lazy: false
  }),

  methods: {
    saveNewUser() {
      if (this.password === this.confirmPassword && this.checkbox === true) {
        let user = {
          nickname: this.name,
          mail: this.email,
          password: this.password,
          date_create: new Date().toLocaleString()
        }
        this.$emit('add-new-user-details', user)
      } else if (this.password !== this.confirmPassword) {
        this.warning = true
      }
    }
  }
}
</script>

<style scoped>
#user-details {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
}
#privacy-police {
  display: flex;
  justify-content: space-around;
  flex-direction: row;
}
#warning {
  color: red;
}
</style>
